function [field,dns]=readfield(filename)

i = fopen(filename,'r');
dns.nx = fread(i,1,'int');
dns.ny = fread(i,1,'int');
dns.nz = fread(i,1,'int');
dns.it = fread(i,1,'int');
dns.Lx = fread(i,1,'double');
dns.Ly = fread(i,1,'double');
dns.headx = fread(i,1,'double');
dns.heady = fread(i,1,'double');
dns.nu = fread(i,1,'double');
dns.dt = fread(i,1,'double');
dns.xd=fread(i,2*dns.nx+8,'double');
dns.yd=fread(i,2*dns.ny+8,'double');
dns.zd=fread(i,2*dns.nz+1,'double');
dns.xc=dns.xd(1:2:end);
dns.yc=dns.yd(1:2:end);
dns.zc=dns.zd(1:2:end);
%dns.x=dns.Lx*(0:dns.nx-1)/dns.nx;
%dns.y=dns.Ly*(0:dns.ny-1)/dns.ny;
% fieldd=fread(i, 'double');
field=reshape(fread(i, 'double'), [4, dns.nz+1, dns.ny, dns.nx]);